SetSignProcessCustomSubFilter

Beveiliging en handtekeningen

Beschrijving

Zet de SubFilter-entry op een custom string voor een digitaal ondertekeningsproces, waarmee de codering van de handtekeningwaarde wordt vastgelegd

Vergelijkbaar met SetSignProcessSubFilter, maar de Subfilter-entry is aanpasbaar

Begint de meegegeven string met ETSI. (meestal ETSI.CAdES.detached voor PAdES baseline-handtekeningen of ETSI.RFC3161 voor document-timestamps), dan voegt de library de PAdES /Extensions /ESIC <</BaseVersion /1.7 /ExtensionLevel 2>>-entry automatisch toe aan de documentcatalogus, zoals ETSI EN 319 142-1 v1.2.1 §5.6 vereist. Voor PDF's die via TPDFlib zijn geschreven wordt de equivalente Adobe-verklaring (/Extensions /ADBE op /ExtensionLevel 8) er parallel aan toegevoegd. De injectie is idempotent en downgradeert nooit een bestaand hoger extensieniveau

Het kiezen van ETSI.CAdES.detached activeert daarnaast het PAdES-B-B-ondertekeningspad: de resulterende CMS-payload draagt de geauthenticeerde attributen content-type (id-data) en signing-certificate-v2 (RFC 5035 / RFC 5816), en het signing-time-attribuut dat Table 1 van EN 319 142-1 verbiedt wordt weggelaten omdat de library zijn eigen attributenarray aan CryptSignMessage doorgeeft. Het ondertekeningscertificaat wordt geïdentificeerd via zijn SHA-256-digest (of SHA-384 / SHA-512 wanneer SetSignProcessDigestAlgorithm een grotere hash kiest), en huidige builds bevatten ook de optionele IssuerSerial-tuple (issuer distinguished name plus serienummer), zodat strengere PAdES-validators het ondertekeningscertificaat kunnen kruischecken tegen hun kandidatenketen

Syntaxis

Delphi

Function TPDFlib.SetSignProcessCustomSubFilter(SignProcessID: Integer; SubFilterStr: WideString): Integer;

ActiveX

Function PDFlib::SetSignProcessCustomSubFilter(SignProcessID As Long, SubFilterStr As String) As Long

DLL

int DLSetSignProcessCustomSubFilter(int InstanceID, int SignProcessID, const wchar_t * SubFilterStr);

Parameters

SignProcessIDEen waarde geretourneerd door de functies NewSignProcessFromFile, NewSignProcessFromStream of NewSignProcessFromString
SubFilterStrCustom SubFilter string entry

Retourwaarden

0De parameter SignProcessID was ongeldig of de parameter SubFilter was buiten bereik
1Success